using System.Collections.Generic;

namespace eSuite.WorkBench.IoC
{
    public interface IIocContainer
    {
        T Resolve<T>();

        T Resolve<T>(IEnumerable<Parameter> parameters);

        event IocContainerRegisteringEventHandler Registering;
    }
}
